###############################################################################
#                                                                             #
# Licensed Materials - Property of IBM                                        #
#                                                                             #
# 5697-MAE                                                                    #
# 5697-WKB                                                                    #
# 5698-WSO                                                                    #
#                                                                             #
# (C) Copyright IBM Corp. 1996, 2001 All Rights Reserved                      #
#                                                                             #
# US Government Users Restricted Rights - Use, duplication or                 #
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.           #
#                                                                             #
###############################################################################
# Version: 1.1
# Last Changed: 02/11/13 15:38:18
# Revision: @(#) 1.1 02/11/13 15:38:18 oracle/src/mcm/mcm.mk, TWS_XAGENT_ORACLE, tws_oracle_dev, DEV240203A
###############################################################################
# FILENAME
#     mcm.mk
# 
# DESCRIPTION
#     Sample makefile for linking concurrent programs related to
#     Maestro integration with OCM.
# 
# NOTES
# There are 3 API's ( Concurrent Programs ) which are used to
#     perform the four tasks required by Maestro 
# 
# 1. MCMLJ   - Used to submit a request to the concurrent manager
# 2. MCMSTAT - Used to display the status of the request submitted
# 3. MCMTJ   - Used to Cancel a job which is running 
# 
#     All the above four Concurrent Programs are linked using this 
#     make file.
# 
# HISTORY
# 
#  06/12/96  N.Srinivas   Created this file for linking MCMLJ, MCMSTAT
#  16/12/96  N.Srinivas   Modified this file for linking MCMTJ
# 
#**************************************************************
CC="gcc"

MCMLJ	= $(MCM_TOP)/$(APPLBIN)/MCMLJ
MCMSTAT	= $(MCM_TOP)/$(APPLBIN)/MCMSTAT
MCMTJ   = $(MCM_TOP)/$(APPLBIN)/MCMTJ

MCM_OBJ1	= $(MCM_TOP)/$(APPLLIB)/MCMLJ.o
MCM_OBJ2	= $(MCM_TOP)/$(APPLLIB)/MCMSTAT.o
MCM_OBJ3	= $(MCM_TOP)/$(APPLLIB)/MCMTJ.o

MODULES = $(MCMLJ) $(MCMSTAT) $(MCMTJ) 

#
# handy target for relinking everything
#

all:	$(MODULES)

$(MCMLJ): $(MCM_OBJ1) $(LFNDLIB) $(LMCMLIB)
	$(CC) $(LDFLAGS) -o $@ $(MCM_OBJ1) \
		$(LMCMLIB) $(LFNDLIB) $(ORACLE_LINK)
	$(CHMOD) 755 $@
	$(MCS) $@

$(MCMSTAT): $(MCM_OBJ2) $(LFNDLIB) $(LMCMLIB)
	$(CC) $(LDFLAGS) -o $@ $(MCM_OBJ2) \
		$(LMCMLIB) $(LFNDLIB) $(ORACLE_LINK)
	$(CHMOD) 755 $@
	$(MCS) $@

$(MCMTJ): $(MCM_OBJ3) $(LFNDLIB) $(LMCMLIB)
	$(CC) $(LDFLAGS) -o $@ $(MCM_OBJ3) \
		$(LMCMLIB) $(LFNDLIB) $(ORACLE_LINK)
	$(CHMOD) 755 $@
	$(MCS) $@

# end of linking makefile

